/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function printNumbersVersionOne() {
  let number = 2;

  while (number <= 100) {
    // If number is even, print it:
    if (number % 2 === 0) {
      console.log(number);
    }

    number += 1;
  }
}
function printNumbersVersionTwo() {
  let number = 2;

  while (number <= 100) {
    console.log(number);

    // Increase number by 2, which, by definition, is the next even number:
    number += 2;
  }
}
export { printNumbersVersionOne, printNumbersVersionTwo };
