/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function hasDuplicateValue(array) {
  let steps = 0; // count of steps
  for (let i = 0; i < array.length; i += 1) {
    for (let j = 0; j < array.length; j += 1) {
      steps += 1; // increment number of steps
      if (i !== j && array[i] === array[j]) {
        return true;
      }
    }
  }

  console.log(steps); // print number of steps if no duplicates
  return false;
}
export { hasDuplicateValue };
