/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function greatestNumber(array) {
  let isITheGreatest;
  if (array.length === 0) { return null; }

  for (const i of array) {
    // Assume for now that i is the greatest:
    isITheGreatest = true;

    for (const j of array) {
      // If we find another value that is greater than i, 
      // then i is not the greatest:
      if (j > i) { isITheGreatest = false; }
    }
    // If, by the time we checked all the other numbers, i is still the
    // greatest, it means that i is the greatest number:
    if (isITheGreatest) {
      return i;
    }
  }
}
export default greatestNumber;
