/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function oneHundredSum(array) {
  if (array.length % 2 !== 0 || array.length === 0) {
    return false;
  }

  let leftIndex = 0;
  let rightIndex = array.length - 1;

  while (leftIndex < Math.floor(array.length / 2)) {
    if (array[leftIndex] + array[rightIndex] !== 100) {
      return false;
    }

    leftIndex += 1;
    rightIndex -= 1;
  }
  return true;
}
export default oneHundredSum;
