/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function findNeedle(needle, haystack) {
  let needleStartIndex = 0;

  while (needleStartIndex <= haystack.length - needle.length) {
    if (needle[0] === haystack[needleStartIndex]) {
      let needleOffset = 0;

      while (needleOffset < needle.length) {
        if (needle[needleOffset] !== 
          haystack[needleStartIndex + needleOffset]) {
          break;
        }

        if (needleOffset === needle.length - 1) {
          return true;
        }

        needleOffset += 1;
      }
    }

    needleStartIndex += 1;
  }

  return false;
}
export default findNeedle;
