/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function largestProduct(array) {
  if (array.length < 3) { return null; }

  let largestProductSoFar = array[0] * array[1] * array[2];
  let i = 0;

  while (i < array.length) {
    let j = i + 1;

    while (j < array.length) {
      let k = j + 1;

      while (k < array.length) {
        if (array[i] * array[j] * array[k] > largestProductSoFar) {
          largestProductSoFar = array[i] * array[j] * array[k];
        }
        k += 1;
      }

      j += 1;
    }

    i += 1;
  }

  return largestProductSoFar;
}
export default largestProduct;
