/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function pickResume(resumes) {
  if (resumes.length === 0) { return null; }

  let eliminate = 'top';

  while (resumes.length > 1) {
    const midpoint = Math.floor(resumes.length / 2);

    if (eliminate === 'top') {
      resumes = resumes.slice(0, midpoint);
      eliminate = 'bottom';
    } else if (eliminate === 'bottom') {
      resumes = resumes.slice(midpoint);
      eliminate = 'top';
    }
  }

  return resumes[0];
}
export default pickResume;
