/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function findMissingLetter(string) {
  const hashTable = {};

  for (const char of string) {
    hashTable[char] = true;
  }

  const alphabet = 'abcdefghijklmnopqrstuvwxyz';

  for (const char of alphabet) {
    if (!hashTable[char]) {
      return char;
    }
  }

  return null;
}
export default findMissingLetter;
