/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
const statusCodes = {
  200: 'OK',
  301: 'Moved Permanently',
  401: 'Unauthorized',
  404: 'Not Found',
  500: 'Internal Server Error',
};

function statusCodeMeaning(number) {
  return statusCodes[number];
}
export { statusCodeMeaning };
