/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
class Stack {
  constructor() {
    this.data = [];
  }

  push(element) {
    this.data.push(element);
  }

  pop() {
    if (this.data.length > 0) {
      return this.data.pop();
    } else {
      return null;
    }
  }

  read() {
    if (this.data.length > 0) {
      return this.data[this.data.length - 1];
    } else {
      return null;
    }
  }
}

export default Stack;
