/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function anagramsOf(string) {
  if (string.length === 1) { return [string[0]]; }

  const collection = [];

  const substringAnagrams = anagramsOf(string.slice(1));

  for (const substringAnagram of substringAnagrams) {
    for (let index = 0; index <= substringAnagram.length; index += 1) {
      const newString = (substringAnagram.slice(0, index)
                    + string[0]
                    + substringAnagram.slice(index));
      collection.push(newString);
    }
  }

  return collection;
}
export default anagramsOf;
