/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function fib(n) {
  if (n === 0) { return 0; }

  let a = 0;
  let b = 1;

  for (let i = 1; i < n; i += 1) {
    [a, b] = [b, a + b];
  }

  return b;
}
export { fib };
