/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function doubleArray1(array) {
  const newArray = [];

  for (const value of array) {
    newArray.push(value * 2);
  }

  return newArray;
}

function doubleArray2(array) {
  for (let i = 0; i < array.length; i += 1) {
    array[i] *= 2;
  }

  return array;
}

function doubleArray3(array, index = 0) {
  if (index >= array.length) { return; }

  array[index] *= 2;
  doubleArray3(array, index + 1);

  return array;
}
export { doubleArray1, doubleArray2, doubleArray3 };
