/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function gameWinner(numberOfCoins, currentPlayer='you') {
  let nextPlayer;

  if (numberOfCoins <= 0) {
    return currentPlayer;
  }

  if (currentPlayer === 'you') {
    nextPlayer = 'them';
  } else if (currentPlayer === 'them') {
    nextPlayer = 'you';
  }

  if (gameWinner(numberOfCoins - 1, nextPlayer) === currentPlayer
  || gameWinner(numberOfCoins - 2, nextPlayer) === currentPlayer) {
    return currentPlayer;
  } else {
    return nextPlayer;
  }
}
export { gameWinner };
