/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function findMultisportAthletes(array1, array2) {
  const hashTable = {};
  const multisportAthletes = [];

  for (const athlete of array1) {
    hashTable[`${athlete.firstName} ${athlete.lastName}`] = true;
  }

  for (const athlete of array2) {
    if (hashTable[`${athlete.firstName} ${athlete.lastName}`]) {
      multisportAthletes.push(`${athlete.firstName} ${athlete.lastName}`);
    }
  }

  return multisportAthletes;
}
export default findMultisportAthletes;
