/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function findMissingNumber(array) {
  let fullSum = 0;

  for (let num = 1; num <= array.length; num += 1) {
    fullSum += num;
  }

  let currentSum = 0;

  for (const num of array) {
    currentSum += num;
  }

  return fullSum - currentSum;
}
export default findMissingNumber;
