/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function findGreatestProfit(array) {
  let buyPrice = array[0];
  let greatestProfit = 0;

  for (const price of array) {
    const potentialProfit = price - buyPrice;

    if (price < buyPrice) {
      buyPrice = price;
    } else if (potentialProfit > greatestProfit) {
      greatestProfit = potentialProfit;
    }
  }

  return greatestProfit;
}
export default findGreatestProfit;
