/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
import linearSearch from './linear_search.js';
import binarySearch from './binary_search.js';

function assertEqual(x, y) {
  if (x === y) {
    console.log('.');
  } else {
    console.log('FAIL');
  }
}

// Linear Search
console.log('Linear search');
assertEqual(linearSearch([2, 5, 8, 9, 100], 8), 2);
assertEqual(linearSearch([5, 2, 8, 100, 9], 8), 2);

// Binary Search
console.log('Binary search');
assertEqual(binarySearch([2, 5, 8, 9, 100], 8), 2);
assertEqual(binarySearch([2, 5, 8, 9, 100], 2), 0);
assertEqual(binarySearch([2, 5, 8, 9, 100, 101], 8), 2);
assertEqual(binarySearch([2, 5, 8, 9, 100, 101], 2), 0);
assertEqual(binarySearch([2, 5, 8, 9, 100, 101], 101), 5);
assertEqual(binarySearch([-3, -1, 2, 5, 8, 9, 100, 101], 100), 6);
