/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function greatestProduct(array) {
  if (array.length < 2) { return null; }

  let greatestProductSoFar = array[0] * array[1];

  for (const [indexI, valueI] of array.entries()) {
    for (const [indexJ, valueJ] of array.entries()) {
      if (indexI !== indexJ && valueI * valueJ > greatestProductSoFar) {
        greatestProductSoFar = valueI * valueJ;
      }
    }
  }

  return greatestProductSoFar;
}
export default greatestProduct;
