/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function insertionSort(array) {
  for (let index = 1; index < array.length; index += 1) {
    const tempValue = array[index];
    let position = index - 1;

    while (position >= 0) {
      if (array[position] > tempValue) {
        array[position + 1] = array[position];
        position -= 1;
      } else {
        break;
      }
    }

    array[position + 1] = tempValue;
  }

  return array;
}
export default insertionSort;
