/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function averageCelsius(fahrenheitReadings) {
  if (fahrenheitReadings.length === 0) { return null; }

  const celsiusNumbers = [];

  // Convert each reading to Celsius and append to array:
  for (const fahrenheitReading of fahrenheitReadings) {
    const celsiusConversion = (fahrenheitReading - 32) / 1.8;
    celsiusNumbers.push(celsiusConversion);
  }

  // Calculate average:
  let sum = 0;

  for (const celsiusNumber of celsiusNumbers) {
    sum += celsiusNumber;
  }

  return Math.floor(sum / celsiusNumbers.length);
}
export default averageCelsius;
