/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function getIntersection(array1, array2) {
  const intersection = [];
  const hashTable = {};

  array1.forEach((value) => {
    hashTable[value] = true;
  });

  array2.forEach((value) => {
    if (hashTable[value]) {
      intersection.push(value);
    }
  });

  return intersection;
}
export default getIntersection;
