/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function isSubset(array1, array2) {
  const hashTable = {};
  let largerArray;
  let smallerArray;
  
  // Determine which array is smaller:
  if (array1.length > array2.length) {
    largerArray = array1;
    smallerArray = array2;
  } else {
    largerArray = array2;
    smallerArray = array1;
  }

  for (const value of largerArray) {
    hashTable[value] = true;
  }

  for (const value of smallerArray) {
    if (!hashTable[value]) { return false; }
  }

  return true;
}
export { isSubset };
