/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
import Stack from './stack.js';

function reverse(string) {
  const stack = new Stack();
  let newString = '';

  for (const char of string) {
    stack.push(char);
  }

  while (stack.read()) {
    newString += stack.pop();
  }

  return newString;
}
export default reverse;
