/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
import { readdirSync, lstatSync } from 'fs';
import { join } from 'path';

function printSubdirectories(directoryName) {
  for (const fileName of readdirSync(directoryName)) {
    if (lstatSync(fileName).isDirectory()) {
      const pathName = join(directoryName, fileName);
      console.log(pathName);

      for (const fileName2 of readdirSync(pathName)) {
        const pathName2 = join(pathName, fileName2);
        console.log(pathName2);
      }
    }
  }
}
export { printSubdirectories };
