/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function max(array) {
  if (array.length === 0) { return null; }

  if (array.length === 1) { return array[0]; }

  // Calculate the max of the remainder of the array
  // and store it inside a variable:
  const maxOfRemainder = max(array.slice(1));

  // Comparison of first number against this variable:
  if (array[0] > maxOfRemainder) {
    return array[0];
  } else {
    return maxOfRemainder;
  }
}
export { max };
