/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function addUntil100(array) {
  if (array.length === 0) { return 0; }

  const sumOfRemainingNumbers = addUntil100(array.slice(1));

  if (array[0] + sumOfRemainingNumbers > 100) {
    return sumOfRemainingNumbers;
  } else {
    return array[0] + sumOfRemainingNumbers;
  }
}
export { addUntil100 };
