/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function reverse(array) {
  let i = 0;

  while (i < Math.floor(array.length / 2)) {
    const mirrorOfI = array.length - 1 - i;
    [array[i], array[mirrorOfI]] = [array[mirrorOfI], array[i]];

    i += 1;
  }

  return array;
}
export { reverse };
