/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function groupSort(array) {
  const hashTable = {};
  const newArray = [];

  for (const value of array) {
    if (hashTable[value]) {
      hashTable[value] += 1;
    } else {
      hashTable[value] = 1;
    }
  }

  for (const key of Object.keys(hashTable)) {
    const count = hashTable[key];
    for (let i = 0; i < count; i += 1) {
      newArray.push(key);
    }
  }

  return newArray;
}
export default groupSort;
