/***
 * Excerpted from "A Common-Sense Guide to Data Structures and Algorithms, JavaScript Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/jwjavascript for more book information.
***/
function sortTemperatures(array) {
  const hashTable = {};

  for (const temperature of array) {
    if (hashTable[temperature]) {
      hashTable[temperature] += 1;
    } else {
      hashTable[temperature] = 1;
    }
  }

  const sortedTemperatures = [];
  let temperature = 95;

  while (temperature <= 105) {
    if (hashTable[temperature]) {
      for (let i = 0; i < hashTable[temperature]; i += 1) {
        sortedTemperatures.push(temperature);
      }
    }

    temperature += 1;
  }

  return sortedTemperatures;
}
export default sortTemperatures;
